<template>
  <div>
    <md-table md-card>
      <md-table-toolbar>
        <h1 class="md-title">Cold Wallets</h1>
      </md-table-toolbar>
      <md-table-row>
        <md-table-head>Currency</md-table-head>
        <md-table-head>Name</md-table-head>
        <md-table-head>Address</md-table-head>
        <md-table-head>Updated At</md-table-head>
      </md-table-row>

      <md-table-row v-for="wallet in coldWallets" :key="wallet.currency">
        <md-table-cell class="coin">
          <img :src="`/images/icon/balanceImg/heta-${wallet.currency}-icon.png`"
               :alt="wallet.currency" class="coin__image">
          <span class="coin__name">{{ wallet.currency | uppercase}}</span>
        </md-table-cell>
        <md-table-cell>{{ wallet.currency | fullname }}</md-table-cell>
        <md-table-cell><a :href="wallet | addressExplore">{{ wallet.address }}</a></md-table-cell>
        <md-table-cell>{{ wallet.updated_at }}</md-table-cell>
      </md-table-row>
    </md-table>
  </div>
</template>

<script>
  import { mapState, mapActions } from 'vuex';

  export default {
    methods: {
      ...mapActions([
        'fetchColdWallets',
      ]),
    },
    computed: {
      ...mapState([
        'coldWallets',
      ]),
    },
    created () {
      this.fetchColdWallets();
    },
  };
</script>

<style scoped lang="scss">
  .coin {
    .coin__image {
      margin-right: 10px;
      width: 20px;
      height: 20px;      }

    .coin__name {
      font-weight: bold;
    }
  }

  .name {
    text-transform: capitalize;
  }
</style>
